<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_6e38cb9e043" . "a07cd69a1711" . "a6704c62a" => base64_decode("cGF" . "yZW" . "50X" . "2lk"), "_a7526e8736d966fe5" . "3806d9400194a23" => base64_decode("Y2hlY2tlZF9" . "vdXRfdG8="));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_a7526e8736d966fe538" . "06d9400194a23"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_6e38cb9e043a07cd69a1711a67" . "04c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}